<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения информационного элемента.
 * 
 * Файл: /admin/InformationSystems/action/delete_information_item_image.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Определяем название файла картинки по id информационного элемента
$information_system = & singleton('InformationSystem');

$information_item_id = to_int($_GET['delete_information_item_big_image']);

$row = $information_system->GetInformationSystemItem($information_item_id);

if ($row)
{
	$information_item_dir = CMS_FOLDER . $information_system->GetInformationItemDir($information_item_id);
	 
	if (is_dir($information_item_dir))
	{
		// Путь к большой картинке
		$fname = $information_item_dir . $row['information_items_image'];

		// Файл большого изображения существует
		if (is_file($fname))
		{
			// Удаляем Файл большого изображения
			@unlink($fname);		
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `information_items_table` SET  `information_items_image` = ''  WHERE information_items_id=$information_item_id";
		$DataBase->query($query);
	}
	else
	{
		show_error_message(sprintf($GLOBALS['MSG_information_systems']['error_information_dir'], $information_item_dir));
	}
}
?>